[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLScript.DataBase

Database on which to execute the script

## Declaration

Source position: sqldb.pp line 743

`published property TSQLScript.DataBase : TDatabase read FDatabase write SetDatabase;`

## Description

Database should be set to the TSQLConnection descendent. All SQL statements in the Script property will be executed on this database.

## See also

TSQLConnection |  | An abstract class representing a connection to a SQL Database
TSQLScript.Transaction |  | Transaction to use in the script
TSQLScript.Script |  | The script to execute